## ros-melodic-seed-r7-moveit-config 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(seed_r7_moveit_config)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-seed-r7-moveit-config (0.3.3-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Yasuto Shiigi <y.shiigi@thk.co.jp>  Wed, 04 Dec 2019 12:09:00 -0000

ros-melodic-seed-r7-moveit-config (0.3.0-1bionic) bionic; urgency=high

  * Merge branch 'sasabot-master'
  * Merge branch 'master' of https://github.com/sasabot/seed_r7_ros_pkg into sasabot-master
  * remove robot-specific hard-coding in seed_r7_ros_pkg
  * Contributors: Kazuhiro Sasabuchi, hi-kondo

 -- Yasuto Shiigi <y.shiigi@thk.co.jp>  Tue, 12 Nov 2019 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-seed-r7-moveit-config
Section: misc
Priority: optional
Maintainer: Yasuto Shiigi <y.shiigi@thk.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-seed-r7-description
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-melodic-seed-r7-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-joint-state-publisher, ros-melodic-moveit-fake-controller-manager, ros-melodic-moveit-kinematics, ros-melodic-moveit-planners-ompl, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-visualization, ros-melodic-moveit-setup-assistant, ros-melodic-robot-state-publisher, ros-melodic-rviz, ros-melodic-seed-r7-description, ros-melodic-tf, ros-melodic-xacro
Description: Meta package for bringup.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-seed-r7-moveit-config//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
